Your submission was sent successfully! Close

CVE-2013-0238

Published: 13 February 2013

The try_parse_v4_netmask function in hostmask.c in IRCD-Hybrid before 8.0.6 does not properly validate masks, which allows remote attackers to cause a denial of service (crash) via a mask that causes a negative number to be parsed.

Priority

Medium

Status

Package Release Status
ircd-hybrid
Launchpad, Ubuntu, Debian
artful Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
hardy Ignored
(reached end-of-life)
lucid Ignored
(reached end-of-life)
oneiric Ignored
(reached end-of-life)
precise Does not exist
(precise was needed)
quantal Ignored
(reached end-of-life)
raring Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
saucy Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
trusty Does not exist
(trusty was not-affected [1:7.2.2.dfsg.2-10ubuntu1])
upstream
Released (1:7.2.2.dfsg.2-10)
utopic Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
vivid Does not exist

wily Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
xenial Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
yakkety Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
zesty Not vulnerable
(1:7.2.2.dfsg.2-10ubuntu1)
oftc-hybrid
Launchpad, Ubuntu, Debian
artful Does not exist

hardy Ignored
(reached end-of-life)
lucid Ignored
(reached end-of-life)
oneiric Ignored
(reached end-of-life)
precise Does not exist
(precise was needed)
quantal Ignored
(reached end-of-life)
raring Ignored
(reached end-of-life)
saucy Does not exist

trusty Does not exist

upstream Needs triage

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist